
#ifndef RunAction_h
#define RunAction_h 1

#include "G4UserRunAction.hh"
#include "globals.hh"


class RunAction : public G4UserRunAction
{
  public:
    RunAction();
   ~RunAction();

  public:
    virtual void BeginOfRunAction(const G4Run* aRun);
    virtual void EndOfRunAction(const G4Run* aRun);
   

  G4double Etube[36];
  G4double E1tube[36];
  G4double TimeTube[36];
  G4int tube[36];
  G4int N;
  G4int noOfNeutrons;
  private:
  G4int runIDcounter;
};

#endif

// 2005 by G.I.Vasilyev



